import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class ObliqueGraphCanvasD extends GraphCanvasD{
    private static final Color bgcolor = new Color(250,250,250);
    //private static final Color bgcolor = Color.white;
    private Image im;
    private Graphics buf;
    private Oblique_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    
    public ObliqueGraphCanvasD(Oblique_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	setYRangeMax(600.0);
	setYRangeMin(0.0);
	plotZeroLine(false);
	//plotRefPoint(false);
        setNoRange(false);
        state.ignition();
        //setTitle("", Color.blue);
        //setTitle("", Color.blue.darker(), Color.magenta.darker());
        if(state.theta1 == 0.0){
            setTitle("", Color.red, Color.blue);
        }
        else{
            setTitle("", Color.blue.darker(), Color.magenta.darker());
        }
	setLabels("Standing Wave Patterns","| E | / Eo","z-coordinate");
	plot(state.x_swp,state.xarrayTot_M,state.xarrayTot_M2,state.theta1,state.isPolarizationParallel); 
       
   }
   
}
